* {  margin:0;  }

html, body { height: 100%;}

header
{
    padding:90px 0px 0px !important;
}

body > footer {
  position: sticky;
  top: 100vh;
}

h1 { 
    
    font-weight:bold;
    font-size:3.6rem;
}

h3
{
    padding-top:20px;
    padding-bottom:10px;
    text-align:left;
}

h4 {
    
    font-weight:bold;
}


.a-info { font-style:italic;}


.aside {
    position:fixed;
    top:80px;
    right:1%;
    width:300px;
    height: calc(100% - 100px);
   /* height:80%;*/
   /* border:solid 1px black; */
}

/*
header, .bg-primary-black
{ 
    background-image:
    linear-gradient(
      rgba(0, 0, 0, 0.6), 
      rgba(0, 0, 0, 0.9)
    ),
    url("/img/carousel.jpg"); 
    background-color:black;
    background-size:200%;
}
*/

/* Theme colors */

.theme-white-black
{
    background-color:white;
    color:black;
}

.theme-white-black .hr-link { color:#7b03fc; }
.theme-white-black .hr-title { color:#7b03fc; font-weight:bold; }
.theme-white-black .hr-bttn { background-color:#7b03fc; border-color:#7b03fc; color:white; font-weight:bold; }
.theme-white-black .reverse { background-color:black; color:white; }

/*
.theme-white-black::selection {
    background:#7b03fc;
    color:white;
}

.theme-white-black::-moz-selection {
    background:#7b03fc;
    color:white;
}

*/



.theme-black-white
{
    background-color:#1f1f1f;
    color:white;   
}

.theme-black-white .hr-link { color:#82AC1B; }
.theme-black-white .hr-title { color:#82AC1B; font-weight:bold; }
.theme-black-white .hr-bttn { background-color:#82AC1B; border-color:#82AC1B; color:#1f1f1f; font-weight:bold; }
.theme-black-white .reverse { background-color:white; color:#1f1f1f; }
/*.theme-black-white .navbar { background-color:white !important; }
.theme-black-white .nav-link { color:#1f1f1f !important; }
.theme-black-white .active a { color:#82AC1B !important; text-decoration:underline !important; }*/

.theme-dark-green
{
    background-color:#1B241A;
    color:#d0fab4;     
}

.theme-dark-green .hr-link { color:#4CBB17; }
.theme-dark-green .hr-title { color:#4CBB17; font-weight:bold; }
.theme-dark-green .hr-bttn { background-color:#4CBB17; border-color:#4CBB17; color:#1B241A; font-weight:bold; }
.theme-dark-green .reverse { background-color:#d0fab4; color:#1B241A; }






.theme-dark-blue
{
    background-color:#011f4f;
    color:#e1ebfc;  
}

.theme-dark-blue .hr-link { color:#2ebbff; }
.theme-dark-blue .hr-title { color:#2ebbff; font-weight:bold; }
.theme-dark-blue .hr-bttn { background-color:#2ebbff; border-color:#2ebbff; color:#011f4f; font-weight:bold; }
.theme-dark-blue .reverse { background-color:#e1ebfc; color:#011f4f; }


.theme-dark-red
{
    background-color:#2F0C13;
    color:#FACAD3;  
}

.theme-dark-red .hr-link { color:#F30027; }
.theme-dark-red .hr-title { color:#F30027; font-weight:bold; }
.theme-dark-red .hr-bttn { background-color:#F30027; border-color:#F30027; color:#2F0C13; font-weight:bold; }
.theme-dark-red .reverse { background-color:#FACAD3; color:#2F0C13; }


.theme-dark-brown
{
    background-color:#1f1100;
    color:#fff4cc;
}

.theme-dark-brown .hr-link { color:#a66f02; }
.theme-dark-brown .hr-title { color:#a66f02; font-weight:bold; }
.theme-dark-brown .hr-bttn { background-color:#a66f02; border-color:#a66f02; color:#1f1100; font-weight:bold; }
.theme-dark-brown .reverse { background-color:#fff4cc; color:#1f1100; }




/* Other elements */

section
{
    padding-top:80px;
    padding-bottom:80px;
}

.aimg
{
    background-image:url(/img/profile.jpg);
    background-size:contain;
    width:220px;
    height:220px;
    border:solid 1px black;
    border-radius:50%;
}

/*
img {
    
    filter:grayscale(100%);
    transition:1s ease-in-out;
}

img:in-range
{
    filter:grayscale(0%); 
}*/

.navbar { background-color:black !important; }
.image { padding-bottom:20px; width:100%; }
.img-thumbnail { background-color:transparent; cursor:pointer; }
.img-fullthumb { padding:0px; border:none !important; }

h2 { 
    padding-top:30px; 
    font-size:2.4rem;
}



table tr {  border:none; display: table; height: 0;  min-height:120px }
table td {  padding: 0 0;   }


.cvlogo { width:50px; height:50px; }
.img-logo {  width:180px;  }
#logout:hover { cursor:pointer; color:red;  }
#theme:hover { cursor:pointer; }

.lang { height:16px; opacity:0.8; cursor:pointer; font-size:18px; }
.lang:hover { opacity:1.0; }

.theme { height:16px; opacity:0.8; cursor:pointer; }
.theme:hover { opacity:1.0; }

.cf-input
{
	width:100%;
	padding:5px;
	border:solid 1px black;
	border-radius:5px;
}

.text
{
    font-family:"Georgia" !important;
    font-size:1.3rem;
    font-weight:400;
}

.desc
{
    font-family:"Georgia" !important;
    font-size:1.3rem;
    font-weight:400;
}

.list li
{
    font-family:"Georgia" !important;
    font-size:1.3rem;
    font-weight:400;
}

.proj-img { width:100%;  padding-bottom:20px; }
.proj-row {   padding-bottom:60px; }
.skills-small { display:none; }


/* Responsive Wed Design */


@media all and (max-width : 1090px) {
    .aside { display:none; }
}

@media all and (max-width : 1000px) {

    h2 { font-size:1.5rem; }
    .image { padding-bottom:10px; width:100%; }

    .text, .desc
    {
        font-family:"Georgia" !important;
        font-size:1.25rem; /*1.2*/
        font-weight:370; 
        text-align:justify;
        
        /*color:green;*/
    }
    
    .list li
    {
        font-family:"Georgia" !important;
        font-size:1.25rem;
        font-weight:370; 
        text-align:justify;
    }

}





/*
@media all and (max-width : 780px) {
    .skills-large { display:none; }
	.skills-small { display:block; }
}
*/


@media all and (max-width : 780px) {

    h1 { font-size:2.5rem;  }
    h2 { font-size:2.0rem; }
    .image { padding-bottom:10px; width:100%; }

    .text, .desc
    {
        font-family:"Georgia" !important;
        font-size:1.2rem; /*1.1*/
        font-weight:370; 
        text-align:left;
        
        /*color:red;*/
    }
    
    .list li
    {
        font-family:"Georgia" !important;
        font-size:1.2rem;
        font-weight:370; 
        text-align:justify;
    }

}




@media all and (max-width : 500px) {

    h1 { font-size:2.5rem;  }
    h2 { font-size:2.0rem; }
    .image { padding-bottom:10px; width:100%; }

    .text, .desc
    {
        font-family:"Georgia" !important;
        font-size:1.15rem; /*1.0*/
        font-weight:370; 
        text-align:left;
    }
    
    .list li
    {
        font-family:"Georgia" !important;
        font-size:1.15rem;
        font-weight:370; 
        text-align:left;
    }

}

